<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<sounds xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../../../../../shared/xml/schema/vehicle_sounds.xsd">
    <motorized>
        <sounds>
            <motor template="engineLarge" file="$data/vehicles/claas/lexion8900/sounds/lexion8000_loop.gls" volumeScale="1.7"/>

            <motor template="transmissionHarvester01" volumeScale="1.7" pitchScale="0.6" linkNode="trackLeftFrontWheel"/>
            <motor template="transmissionHarvester01" volumeScale="1.7" pitchScale="0.8" linkNode="trackRightFrontWheel"/>
            <motor template="fanHarvester01" volumeScale="2.5" pitchScale="0.7" linkNodeOffset="0 4 -1"/>
            <motor template="cabinTractor_01" volumeScale="5" linkNodeOffset="0 4 2.5"/>
            <motor template="indoorCabinRumble" volumeScale="12" linkNodeOffset="0.5 3 2.5" pitchScale="1.2"/>
            <motor template="indoorCabinRumble" volumeScale="12" linkNodeOffset="-0.5 3 2.5"/>
            <reverseDrive template="reverseBeep01" />
        </sounds>
    </motorized>

    <enterable>
        <sounds>
            <rain template="rainInVehicle"  linkNodeOffset="0.7 3 2.5">
                <loopSynthesisRpm>
                    <modifier type="SPEED" value="0.0" modifiedValue="0.0" />
                    <modifier type="SPEED" value="26.0" modifiedValue="1" />
                </loopSynthesisRpm>
                <volume>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="15" modifiedValue="1" />
                    <modifier type="SPEED" value="25" modifiedValue="1.2" />
                </volume>

                <pitch>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="15" modifiedValue="1" />
                    <modifier type="SPEED" value="25" modifiedValue="1.0" />
                </pitch>
            </rain>
            <hail template="hailInVehicle" linkNodeOffset="0.7 3 2.5" volumeScale="1.5">
                <loopSynthesisRpm>
                    <modifier type="SPEED" value="0.0" modifiedValue="0.0" />
                    <modifier type="SPEED" value="25" modifiedValue="1" />
                </loopSynthesisRpm>
                <volume>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="10" modifiedValue="1" />
                    <modifier type="SPEED" value="25" modifiedValue="1.2" />
                </volume>

                <pitch>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="10" modifiedValue="1" />
                    <modifier type="SPEED" value="25" modifiedValue="1.0" />
                </pitch>
            </hail>
        </sounds>
    </enterable>

    <lights>
        <sounds>
            <toggleLights template="switch01"  />
            <turnLight template="switchTurnlight"  />
        </sounds>
    </lights>

    <attacherJoints>
        <sounds>
            <hydraulic template="hydraulicClose02" volumeScale="4" pitchScale="1.4"/>
        </sounds>
    </attacherJoints>

    <drivable>
        <sounds>
            <waterSplash template="waterSplash01" />
        </sounds>
    </drivable>

    <turnOnVehicle>
        <sounds>
            <start template="combineThreshingSystemStart" volumeScale="0.25"/>
            <work template="combineThreshingSystemLoop"   volumeScale="0.25"/>
            <stop template="combineThreshingSystemStop"   volumeScale="0.25"/>
        </sounds>
    </turnOnVehicle>

    <combine>
        <sounds>
            <chopperWork template="harvesterChopper"   linkNode="chopper"/>
            <chopStraw   template="chopStrawDischarge" linkNode="chopper"/>
            <dropStraw   template="dropStrawDischarge" linkNode="chopper"/>
            <fill template="grainTankMediumFill" volumeScale="0.8" linkNode="auger01Base"/>
        </sounds>
    </combine>

    <ai>
        <automaticSteering>
            <sounds>
                <engage template="gpsEngageClaas"/>
                <disengage template="gpsDisengageClaas"/>
                <lineEnd template="gpsLineEndClaas"/>
            </sounds>
        </automaticSteering>
    </ai>

    <honk>
        <sound template="honkClaasJaguar" volumeScale="1.5"/>
    </honk>
</sounds>
